# Identifiable Interface Reference
[Widely used base classes and interfaces, Classes implemented in PHP's extension.]

Essential interface for DAO-related operations. More...

Inheritance diagram for Identifiable:
[legend]

List of all members.

## Public Member Functions

| getId ()
| setId ($id)

## Detailed Description

Essential interface for DAO-related operations.

See also:
  IdentifiableObject

Definition at line 20 of file Identifiable.class.php.

## Member Function Documentation

Identifiable::getId | ( |  | ) |

Implemented in IdentifiableObject, Identifier, and QueryResult.

Referenced by GenericDAO::addObjectToMap(), TransparentDaoWorker::cacheById(), CommonDaoWorker::cacheById(), GenericDAO::doInject(), BaseDaoWorker::drop(), GenericDAO::drop(), Expression::eqId(), DaoUtils::increment(), StorableDAO::merge(), AbstractProtoClass::skipObjectPrefetching(), DaoUtils::swap(), StorableDAO::take(), and StorableDAO::unite().

Identifiable::setId | ( | $ | id | ) |

Implemented in IdentifiableObject, Identifier, and QueryResult.

Referenced by StorableDAO::add(), and GenericDAO::doInject().

The documentation for this interface was generated from the following file:

- core/Base/Identifiable.class.php